/**
 * Copyright (c) 2008-2010 Ardor Labs, Inc.
 *
 * This file is part of Ardor3D.
 *
 * Ardor3D is free software: you can redistribute it and/or modify it 
 * under the terms of its license which may be found in the accompanying
 * LICENSE file or at <http://www.ardor3d.com/LICENSE>.
 */

package com.ardor3d.input.lwjgl;

import org.lwjgl.input.Keyboard;

import com.ardor3d.input.Key;

public enum LwjglKey {

    ZERO(Keyboard.KEY_0, Key.ZERO), //
    ONE(Keyboard.KEY_1, Key.ONE), //
    TWO(Keyboard.KEY_2, Key.TWO), //
    THREE(Keyboard.KEY_3, Key.THREE), //
    FOUR(Keyboard.KEY_4, Key.FOUR), //
    FIVE(Keyboard.KEY_5, Key.FIVE), //
    SIX(Keyboard.KEY_6, Key.SIX), //
    SEVEN(Keyboard.KEY_7, Key.SEVEN), //
    EIGHT(Keyboard.KEY_8, Key.EIGHT), //
    NINE(Keyboard.KEY_9, Key.NINE), //
    A(Keyboard.KEY_A, Key.A), //
    ADD(Keyboard.KEY_ADD, Key.NUMPADADD), //
    APOSTROPHE(Keyboard.KEY_APOSTROPHE, Key.APOSTROPHE), //
    APPS(Keyboard.KEY_APPS, Key.APPS), //
    AT(Keyboard.KEY_AT, Key.AT), //
    AX(Keyboard.KEY_AX, Key.AX), //
    B(Keyboard.KEY_B, Key.B), //
    BACK(Keyboard.KEY_BACK, Key.BACK), //
    BACKSLASH(Keyboard.KEY_BACKSLASH, Key.BACKSLASH), //
    C(Keyboard.KEY_C, Key.C), //
    CAPITAL(Keyboard.KEY_CAPITAL, Key.CAPITAL), //
    CIRCUMFLEX(Keyboard.KEY_CIRCUMFLEX, Key.CIRCUMFLEX), //
    COLON(Keyboard.KEY_COLON, Key.COLON), //
    COMMA(Keyboard.KEY_COMMA, Key.COMMA), //
    CONVERT(Keyboard.KEY_CONVERT, Key.CONVERT), //
    D(Keyboard.KEY_D, Key.D), //
    DECIMAL(Keyboard.KEY_DECIMAL, Key.DECIMAL), //
    DELETE(Keyboard.KEY_DELETE, Key.DELETE), //
    DIVIDE(Keyboard.KEY_DIVIDE, Key.DIVIDE), //
    DOWN(Keyboard.KEY_DOWN, Key.DOWN), //
    E(Keyboard.KEY_E, Key.E), //
    END(Keyboard.KEY_END, Key.END), //
    EQUALS(Keyboard.KEY_EQUALS, Key.EQUALS), //
    ESCAPE(Keyboard.KEY_ESCAPE, Key.ESCAPE), //
    F(Keyboard.KEY_F, Key.F), //
    F1(Keyboard.KEY_F1, Key.F1), //
    F2(Keyboard.KEY_F2, Key.F2), //
    F3(Keyboard.KEY_F3, Key.F3), //
    F4(Keyboard.KEY_F4, Key.F4), //
    F5(Keyboard.KEY_F5, Key.F5), //
    F6(Keyboard.KEY_F6, Key.F6), //
    F7(Keyboard.KEY_F7, Key.F7), //
    F8(Keyboard.KEY_F8, Key.F8), //
    F9(Keyboard.KEY_F9, Key.F9), //
    F10(Keyboard.KEY_F10, Key.F10), //
    F11(Keyboard.KEY_F11, Key.F11), //
    F12(Keyboard.KEY_F12, Key.F12), //
    F13(Keyboard.KEY_F13, Key.F13), //
    F14(Keyboard.KEY_F14, Key.F14), //
    F15(Keyboard.KEY_F15, Key.F15), //
    G(Keyboard.KEY_G, Key.G), //
    GRAVE(Keyboard.KEY_GRAVE, Key.GRAVE), //
    H(Keyboard.KEY_H, Key.H), //
    HOME(Keyboard.KEY_HOME, Key.HOME), //
    I(Keyboard.KEY_I, Key.I), //
    INSERT(Keyboard.KEY_INSERT, Key.INSERT), //
    J(Keyboard.KEY_J, Key.J), //
    K(Keyboard.KEY_K, Key.K), //
    KANA(Keyboard.KEY_KANA, Key.KANA), //
    KANJI(Keyboard.KEY_KANJI, Key.KANJI), //
    L(Keyboard.KEY_L, Key.L), //
    LBRACKET(Keyboard.KEY_LBRACKET, Key.LBRACKET), //
    LCONTROL(Keyboard.KEY_LCONTROL, Key.LCONTROL), //
    LEFT(Keyboard.KEY_LEFT, Key.LEFT), //
    LMENU(Keyboard.KEY_LMENU, Key.LMENU), //
    LMETA(Keyboard.KEY_LMETA, Key.LMETA), //
    LSHIFT(Keyboard.KEY_LSHIFT, Key.LSHIFT), //
    M(Keyboard.KEY_M, Key.M), //
    MINUS(Keyboard.KEY_MINUS, Key.MINUS), //
    MULTIPLY(Keyboard.KEY_MULTIPLY, Key.MULTIPLY), //
    N(Keyboard.KEY_N, Key.N), //
    NEXT(Keyboard.KEY_NEXT, Key.PAGEDOWN_NEXT), //
    NOCONVERT(Keyboard.KEY_NOCONVERT, Key.NOCONVERT), //
    NUMLOCK(Keyboard.KEY_NUMLOCK, Key.NUMLOCK), //
    NUMPAD0(Keyboard.KEY_NUMPAD0, Key.NUMPAD0), //
    NUMPAD1(Keyboard.KEY_NUMPAD1, Key.NUMPAD1), //
    NUMPAD2(Keyboard.KEY_NUMPAD2, Key.NUMPAD2), //
    NUMPAD3(Keyboard.KEY_NUMPAD3, Key.NUMPAD3), //
    NUMPAD4(Keyboard.KEY_NUMPAD4, Key.NUMPAD4), //
    NUMPAD5(Keyboard.KEY_NUMPAD5, Key.NUMPAD5), //
    NUMPAD6(Keyboard.KEY_NUMPAD6, Key.NUMPAD6), //
    NUMPAD7(Keyboard.KEY_NUMPAD7, Key.NUMPAD7), //
    NUMPAD8(Keyboard.KEY_NUMPAD8, Key.NUMPAD8), //
    NUMPAD9(Keyboard.KEY_NUMPAD9, Key.NUMPAD9), //
    NUMPADCOMMA(Keyboard.KEY_NUMPADCOMMA, Key.NUMPADCOMMA), //
    NUMPADENTER(Keyboard.KEY_NUMPADENTER, Key.NUMPADENTER), //
    NUMPADEQUALS(Keyboard.KEY_NUMPADEQUALS, Key.NUMPADEQUALS), //
    O(Keyboard.KEY_O, Key.O), //
    P(Keyboard.KEY_P, Key.P), //
    PAUSE(Keyboard.KEY_PAUSE, Key.PAUSE), //
    POWER(Keyboard.KEY_POWER, Key.POWER), //
    PERIOD(Keyboard.KEY_PERIOD, Key.PERIOD), //
    PRIOR(Keyboard.KEY_PRIOR, Key.PAGEUP_PRIOR), //
    Q(Keyboard.KEY_Q, Key.Q), //
    R(Keyboard.KEY_R, Key.R), //
    RBRACKET(Keyboard.KEY_RBRACKET, Key.RBRACKET), //
    RCONTROL(Keyboard.KEY_RCONTROL, Key.RCONTROL), //
    RETURN(Keyboard.KEY_RETURN, Key.RETURN), //
    RIGHT(Keyboard.KEY_RIGHT, Key.RIGHT), //
    RMENU(Keyboard.KEY_RMENU, Key.RMENU), //
    RMETA(Keyboard.KEY_RMETA, Key.RMETA), //
    RSHIFT(Keyboard.KEY_RSHIFT, Key.RSHIFT), //
    S(Keyboard.KEY_S, Key.S), //
    SCROLL(Keyboard.KEY_SCROLL, Key.SCROLL), //
    SEMICOLON(Keyboard.KEY_SEMICOLON, Key.SEMICOLON), //
    SLASH(Keyboard.KEY_SLASH, Key.SLASH), //
    SLEEP(Keyboard.KEY_SLEEP, Key.SLEEP), //
    SPACE(Keyboard.KEY_SPACE, Key.SPACE), //
    STOP(Keyboard.KEY_STOP, Key.STOP), //
    NUMPADSUBTRACT(Keyboard.KEY_SUBTRACT, Key.NUMPADSUBTRACT), // XXX: Not sure if this is correct?
    SYSRQ(Keyboard.KEY_SYSRQ, Key.SYSRQ), //
    T(Keyboard.KEY_T, Key.T), //
    TAB(Keyboard.KEY_TAB, Key.TAB), //
    U(Keyboard.KEY_U, Key.U), //
    UNDERLINE(Keyboard.KEY_UNDERLINE, Key.UNDERLINE), //
    UNLABELED(Keyboard.KEY_UNLABELED, Key.UNLABELED), //
    UP(Keyboard.KEY_UP, Key.UP), //
    V(Keyboard.KEY_V, Key.V), //
    W(Keyboard.KEY_W, Key.W), //
    X(Keyboard.KEY_X, Key.X), //
    Y(Keyboard.KEY_Y, Key.Y), //
    YEN(Keyboard.KEY_YEN, Key.YEN), //
    Z(Keyboard.KEY_Z, Key.Z), //
    NONE(Keyboard.KEY_NONE, Key.UNKNOWN);

    private final int _lwjglCode;
    private final Key _key;

    private LwjglKey(final int lwjglCode, final Key key) {
        _lwjglCode = lwjglCode;
        _key = key;
    }

    /**
     * Locate a key, given a specific lwjgl key code.
     * 
     * @param lwjglCode
     *            the lwjgl key code.
     * @return the Ardor3D Key enum value.
     */
    public static Key findByCode(final int lwjglCode) {
        for (final LwjglKey ak : values()) {
            if (ak._lwjglCode == lwjglCode) {
                return ak._key;
            }
        }

        return Key.UNKNOWN;
    }

    public int getLwjglCode() {
        return _lwjglCode;
    }

}
